For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Guides
    • Introduction
    • Quick Start
    • Use Cases
    • MCP Server
  • API
    • Enrich Endpoint
  • Integrations
    • Clay
    • Zapier
    • Make
    • HubSpot
    • Salesforce
    • n8n
  • Platform
    • API Keys
    • Rate Limits
    • Pricing
  • Support
    • Support
  • API Reference
    • GETGet platform stats
    • GETSearch case studies
    • POSTSemantic search
    • POSTBatch semantic search
    • GETGet case study
    • GETList companies
    • GETGet company
    • GETCompany analysis
    • GETCompany timeline
    • POSTCompare vendors
    • POSTRegister for an API key
Logocasestudies.dev
API Reference

List companies

GET
https://whatsapp-backend-knd2.onrender.com/v1/companies
GET
/v1/companies
$curl https://whatsapp-backend-knd2.onrender.com/v1/companies \
> -H "X-API-Key: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "id": "string",
5 "name": "Stripe",
6 "slug": "stripe",
7 "domain": "stripe.com",
8 "industry": "fintech",
9 "logo_url": "string",
10 "total_case_studies": 1
11 }
12 ],
13 "total": 1
14}
List all indexed companies, sorted by number of case studies.
Was this page helpful?
Previous

Get company

Next
Built with

Authentication

X-API-Keystring

Your casestudy.dev API key. Get one at POST /v1/keys.

Query parameters

industrystringOptional
Filter by industry
qstringOptional
Search by company name

Response

List of companies
datalist of objects
totalinteger